package xaero.rotatenjump.game.levels;

import xaero.rotatenjump.game.Game;
import xaero.rotatenjump.game.Level;
import xaero.rotatenjump.game.object.Accelerator;
import xaero.rotatenjump.game.object.Coin;
import xaero.rotatenjump.game.object.Platform;

/**
 * Created by xaero on 10/07/2017.
 */

public class Level3 extends Level {

    public Level3(){
        buttonText = "3";
        winOnAttach = true;
        scoreboardX = -500;
        scoreboardY = 0;
        threeStarTime = 700;
    }

    @Override
    public void constructLevel(Game game) {
        super.constructLevel(game);
        game.gameStarted = false;
        add(game, new Coin(0, 150));
        add(game, new Platform(0, 220, 6, 0, 20f, -1.5f));
        add(game, new Coin(0, 290));
        add(game, new Platform(0, 360, 5, 0, 20f, -1.5f));

        add(game, new Coin(100, 30));
        add(game, new Platform(200, 0, 6, 0, 20f, -1.5f));
        add(game, new Coin(300, 30));
        add(game, new Platform(400, 0, 5, 0, 20f, -1.5f));

        add(game, new Coin(400, 50));
        add(game, new Platform(400, 120, 6, 0, 20f, -1.5f));
        add(game, new Coin(400, 190));
        add(game, new Platform(400, 260, 5, 0, 20f, -1.5f));

        add(game, new Accelerator(342, 313, -220, 4.5f));
    }
}
